import React from 'react';
export interface DateInputProps extends React.ComponentPropsWithRef<'input'> {
    ariaInvalid: string;
    value: string;
    locale: 'nb' | 'nn' | 'en';
}
export declare const DateInput: React.ForwardRefExoticComponent<Omit<DateInputProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
