import { Locale } from '../datelogic/types';
/**
 * Generates month options for dropdown selection
 */
export declare const getMonthOptions: (locale: Locale) => {
    value: number;
    label: "May" | "January" | "February" | "March" | "April" | "June" | "July" | "August" | "September" | "October" | "November" | "December" | "Mai" | "Januar" | "Februar" | "Mars" | "Juni" | "Juli" | "Oktober" | "Desember";
}[];
/**
 * Generates year options based on min and max dates, or defaults to standard range
 */
export declare const getYearOptions: (minDate?: string | null, maxDate?: string | null) => {
    value: number;
    label: string;
}[];
