import React, { Component } from 'react';
import { CalendarButtonState } from '../datelogic/types';
interface ClickableDateProps {
    calendarButtonState: CalendarButtonState;
    month: string;
    year: number;
    headers: string;
    onClick: (date: CalendarButtonState) => void;
    locale: 'nb' | 'nn' | 'en';
    dateButtonRef?: React.RefObject<HTMLTableCellElement>;
    isFocusingHeader: boolean;
    focusOnMount?: boolean;
}
export declare class ClickableDate extends Component<ClickableDateProps> {
    componentDidMount(): void;
    componentDidUpdate(): void;
    focusIfNeeded(): void;
    dateClassName(): string;
    tabIndex(): 0 | -1;
    render(): React.JSX.Element;
}
export {};
