import React from 'react';
import { Locale } from '../datelogic/types';
interface DatepickerContextInterface {
    day?: number | null;
    month?: number | null;
    year?: number | null;
    setDay: (value: number[], focusNext?: () => void) => void;
    setMonth: (value: number[], focusNext?: () => void) => void;
    setYear: (value: number[]) => void;
    locale: Locale;
    calendarActiveDate?: string;
    setCalendarActiveDate: (date: string) => void;
    setLastChangedValue: (date: string) => void;
}
export declare const DatepickerContext: React.Context<DatepickerContextInterface>;
interface Props {
    locale: Locale;
    value?: string;
    children: React.ReactNode;
}
export declare const DatepickerProvider: React.FC<Props>;
export {};
