import React from 'react';
interface SpinButtonProps extends React.ComponentPropsWithoutRef<'span'> {
    className?: string;
    onSpinButtonChange: (value: number[], allowFocusNext?: boolean) => void;
    children: React.ReactNode;
    maxLength: number;
    min: number;
    max: number;
    value?: number;
    nextSpinButton?: React.RefObject<HTMLSpanElement>;
    prevSpinButton?: React.RefObject<HTMLSpanElement>;
}
export declare const SpinButton: React.ForwardRefExoticComponent<SpinButtonProps & React.RefAttributes<HTMLSpanElement>>;
export {};
